Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Class MethodReturnDef

`java.lang.Object
oracle.adf.model.adapter.dataformat.ParamDef
oracle.adf.model.adapter.dataformat.MethodReturnDef`

All Implemented Interfaces:
  Definition, MethodReturnDefinition, NamedDefinition, ParameterDefinition, VariableDefinition

public class MethodReturnDef
extends ParamDef
implements MethodReturnDefinition

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Constructor Summary
`MethodReturnDef(java.lang.String name, OperationDefinition parent, java.lang.String javaType, java.lang.String elementJavaType)`
`MethodReturnDef(java.lang.String name, java.lang.String javaType, OperationDefinition parent, boolean isCollection)`
`MethodReturnDef(java.lang.String name, StructureDefinition def, OperationDefinition parent, boolean isCollection)`
`MethodReturnDef(java.lang.String name, StructureDefinition def, OperationDefinition parent, boolean isCollection, boolean isScalarCollection)`

Method Summary
`StructureDefinition` | `getCollectionStructure()` Retrieves the metadata of the return collection.
`int` | `getDefinitionType()` Retrieves the type of this definition.
`void` | `setCollectionStructure(StructureDefinition def)` Set the structure definition for the collection if the return is a collection.

Methods inherited from class oracle.adf.model.adapter.dataformat.ParamDef
`getDataControlDefinition, getDefinitionParent, getFullName, getJavaTypeString, getName, getProperties, getProperty, getStructure, isCollection, isScalarCollection, isStructured, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.binding.meta.ParameterDefinition
`getStructure, isCollection, isScalarCollection, isStructured`

Methods inherited from interface oracle.binding.meta.VariableDefinition
`getDataControlDefinition, getJavaTypeString`

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Constructor Detail

### MethodReturnDef

    public MethodReturnDef(java.lang.String name,
                           java.lang.String javaType,
                           OperationDefinition parent,
                           boolean isCollection)

### MethodReturnDef

    public MethodReturnDef(java.lang.String name,
                           OperationDefinition parent,
                           java.lang.String javaType,
                           java.lang.String elementJavaType)

### MethodReturnDef

    public MethodReturnDef(java.lang.String name,
                           StructureDefinition def,
                           OperationDefinition parent,
                           boolean isCollection)

### MethodReturnDef

    public MethodReturnDef(java.lang.String name,
                           StructureDefinition def,
                           OperationDefinition parent,
                           boolean isCollection,
                           boolean isScalarCollection)

Method Detail

### getCollectionStructure

    public StructureDefinition getCollectionStructure()

  Description copied from interface: `MethodReturnDefinition`
  Retrieves the metadata of the return collection. It is possible that the collection itself has operations defined, such as if the collection is a class that implements a java.util.Collection interface and contains methods for searching through its elements. Please note that this is different from the getStructure API, which returns the metadata of the collection elements.
  Specified by:
    `getCollectionStructure` in interface `MethodReturnDefinition`
  Returns:
    The metadata describing the structure of the collection, or null if there is none available for the return collection.

### getDefinitionType

    public int getDefinitionType()

  Description copied from interface: `Definition`
  Retrieves the type of this definition. It can be one of the TYPE_* constants defined in this class. This is useful to find out the actual type of the Definition without doing an instanceof operations.
  Specified by:
    `getDefinitionType` in interface `Definition`
  Overrides:
    `getDefinitionType` in class `ParamDef`

### setCollectionStructure

    public void setCollectionStructure(StructureDefinition def)

  Set the structure definition for the collection if the return is a collection. Collection structures usually contain methods applicable for the collection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.